# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit games eutils

DESCRIPTION="The retro modern high speed shooting game"
HOMEPAGE="http://www.asahi-net.or.jp/~cs8k-cyu/windows/a7xpg_e.html
	http://a7xpg.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${PN}.tar.gz"
RESTRICT="nomirror"

LICENSE="BSD"
SLOT="0"
KEYWORDS="x86"

DEPEND="dev-lang/dmd-bin
	media-libs/sdl-d
	media-libs/opengl-d
	dev-libs/libbulletml-d"

S="${WORKDIR}/${PN}"

src_unpack(){
	unpack ${A}
	epatch ${FILESDIR}/${P}-gentoo.patch
}

src_compile() {
	emake clean || die
	emake || die
}

src_install() {
	dogamesbin ${PN}

	local datadir=${GAMES_DATADIR}/${PN}
	dodir ${datadir}
	cp -r a7xpg_share/images a7xpg_share/sounds ${D}/${datadir}

	if [ ! -e ${GAMES_STATEDIR}/${PN}.prf ]
	then
		dodir ${GAMES_STATEDIR}
		touch ${D}/${GAMES_STATEDIR}/${PN}.prf
	fi

	dodoc readme*
	prepgamesdirs
}

pkg_postinst() {
	chmod ug+rw ${GAMES_STATEDIR}/${PN}.prf
}
